Skip to main content
POST
Create an event ticket type

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
name
string
required

Name.

Maximum string length: 255
Example:

"Annual Gala"

code
string | null

Code.

Maximum string length: 255
Example:

"Example"

description
string | null

Description.

Example:

"Example"

price
number | null

Price.

Required range: x >= 0
Example:

1

fair_market_value
number | null

Fair market value.

Required range: x >= 0
Example:

1

quantity_available
integer | null

Quantity available.

Required range: x >= 0
Example:

1

admissions_per_unit
integer | null

Admissions per unit.

Required range: 1 <= x <= 100
Example:

1

registration_group_kind
enum<string> | null

Registration group kind.

Available options:
individual,
team,
table,
household,
sponsor_guests,
other,
null
Example:

"individual"

group_label_prompt
string | null

Group label prompt.

Maximum string length: 255
Example:

"Example"

attendee_details_timing
enum<string> | null

Attendee details timing.

Available options:
checkout,
before_event,
optional,
null
Example:

"checkout"

waitlist_enabled
boolean | null

Waitlist enabled.

Example:

false

min_per_order
integer | null

Min per order.

Required range: x >= 1
Example:

1

max_per_order
integer | null

Max per order. Must be at least min_per_order. Must remain at least the effective minimum even in partial updates.

Required range: x >= 1
Example:

1

attendee_details_required
boolean | null

Attendee details required.

Example:

false

is_active
boolean | null

Is active.

Example:

false

visibility
enum<string> | null

Visibility.

Available options:
public,
private,
null
Example:

"public"

sale_starts_at
string<date-time> | null

Sale starts at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

sale_ends_at
string<date-time> | null

Sale ends at. Date without offset is interpreted in the event timezone. Must be at least sale_starts_at.

Example:

"2026-12-20T18:00:00Z"

sort_order
integer | null

Sort order.

Example:

1

settings
object | null

Settings.

Response

Create an event ticket type completed.

data
object